include mixins

doctype html
html(lang="en")
    +head
    
    body.text-center
        .cover-container.d-flex.w-100.h-100.p-3.mx-auto.flex-column  
            +navbar('editNota')
            - var error = error
            +error(error)
            main.inner.cover(role='main')
                h1.cover-heading Editar Articulo
                - var nota= nota
                .container.text-center
                    .row
                    center
                        .col-5
                            form.needs-validation.form-signin(method='POST' action=`/updateArticulo/${nota._id}?_method=PUT` enctype='multipart/form-data')
                                input(type='hidden' name='_method' value='PUT')
                                input(type='hidden' name='refName' value=nota.ref)
                                label(for='title') Titulo:
                                input#title.form-control(type='text' name='titulo' required='' value=`${nota.title}` )
                                hr
                                - var values= usersName
                                label(for='aaa') Usuario:
                                select#aaa.form-control(name='user')
                                    option= nota.user
                                    each val in values
                                        if val.nombre===nota.user
                                            option Anónimo
                                        else
                                            option= val.nombre
                                hr
                                label(for='img') Imagen Actual:
                                img#img.img-thumbnail(src=`/assets/uploads/${nota.ref}` alt='ref')
                                p
                                label(for='imgFile') Seleccionar Nueva Imagen
                                input#imgFile.form-control-file(type='file' name='ref') 
                                hr
                                .d-flex.justify-content-between.align-items-center
                                    button.btn.btn-danger(type='button' data-dismiss='modal') Cancelar
                                    button.btn.btn-primary(type='submit') Actualizar


        
